@import url("https://fonts.googleapis.com/css2?family=Cairo:wght@200;300;400;500;600;700;800;900;1000&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Tajawal:wght@200;300;400;500;700;800;900&display=swap");

/* ===================================
    01. Reset
====================================== */

html {
    font-size: 15px;
}

body {
    font-family: "Cairo", sans-serif;
    -webkit-font-smoothing: antialiased;
    font-size: 14px;
    color: #6f6f6f;
    font-weight: 400;
    line-height: 24px;
}

body,
html {
    height: 100%;
    -moz-osx-font-smoothing: grayscale;
}

a,
a:active,
a:focus {
    color: #868686;
    text-decoration: none !important;
}

a:hover,
a:active {
    color: #6f6f6f;
    text-decoration: none;
}

a:focus,
a:active,
button:focus,
button:active,
.btn.active.focus,
.btn.active:focus,
.btn.focus,
.btn:active.focus,
.btn:active:focus,
.btn:focus {
    outline: none;
    box-shadow: none;
}

.btn {
    border-radius: 5px !important;
}

img {
    max-width: 100%;
    height: auto;
}

video {
    background-size: cover;
    display: table-cell;
    vertical-align: middle;
    width: 100%;
}

input,
textarea,
select {
    border: 1px solid #d1d1d1;
    font-size: 14px;
    padding: 8px 15px;
    width: 100%;
    margin: 0 0 20px 0;
    max-width: 100%;
    resize: none;
    color: inherit;
}

input[type="submit"] {
    width: auto;
}

input[type="button"],
input[type="text"],
input[type="email"],
input[type="search"],
input[type="password"],
textarea,
input[type="submit"] {
    -webkit-appearance: none;
    outline: none;
}

input:focus,
textarea:focus {
    border-color: #585858 !important;
    outline: none;
}

input[type="button"]:focus,
input:focus,
textarea:focus,
select:focus,
.form-control:focus,
.btn.focus,
.btn:focus {
    outline: none;
    box-shadow: none;
}

.form-control::placeholder {
    color: var(--main-text) !important;
}

.form-control:focus {
    box-shadow: 0 0 0 0.25rem var(--base-shadow) !important;
    background-color: transparent !important;
}

select::-ms-expand {
    display: none;
}

iframe {
    border: 0;
}

p {
    margin: 0 0 25px;
    overflow-wrap: break-word;
}

b,
strong {
    font-weight: 600;
}

.last-paragraph-no-margin p:last-of-type {
    margin-bottom: 0;
}

.alt-font strong {
    font-weight: 700;
}

ul,
ol,
dl {
    list-style-position: outside;
    margin-bottom: 25px;
    font-family: "Cairo", sans-serif;
}

* {
    transition-timing-function: ease-in-out;
    -ms-transition-timing-function: ease-in-out;
    -moz-transition-timing-function: ease-in-out;
    -webkit-transition-timing-function: ease-in-out;
    -o-transition-timing-function: ease-in-out;
    transition-duration: 0.2s;
    -ms-transition-duration: 0.2s;
    -moz-transition-duration: 0.2s;
    -webkit-transition-duration: 0.2s;
    -o-transition-duration: 0.2s;
}

*:hover {
    transition-timing-function: ease-in-out;
    -ms-transition-timing-function: ease-in-out;
    -moz-transition-timing-function: ease-in-out;
    -webkit-transition-timing-function: ease-in-out;
    -o-transition-timing-function: ease-in-out;
    transition-duration: 0.2s;
    -ms-transition-duration: 0.2s;
    -moz-transition-duration: 0.2s;
    -webkit-transition-duration: 0.2s;
    -o-transition-duration: 0.2s;
}

.no-transition *,
.swiper-container *,
.mfp-container *,
.portfolio-wrapper *,
.parallax,
.rev-slider *,
.header-searchbar *,
.header-social-icon *,
.dropdropdown-menu * {
    transition-timing-function: none;
    -moz-transition-timing-function: none;
    -webkit-transition-timing-function: none;
    -o-transition-timing-function: none;
    -ms-transition-timing-function: none;
    transition-duration: 0s;
    -moz-transition-duration: 0s;
    -webkit-transition-duration: 0s;
    -o-transition-duration: 0s;
    -ms-transition-duration: 0s;
}

::selection {
    color: #000;
    background: #dbdbdb4e;
}

::-moz-selection {
    color: #000;
    background: #dbdbdb4e;
}

::-webkit-input-placeholder {
    text-overflow: ellipsis;
}

::-moz-placeholder {
    text-overflow: ellipsis;
    opacity: 1;
}

:-ms-input-placeholder {
    text-overflow: ellipsis;
    opacity: 1;
}

.form-check-input:checked {
    background-color: var(--main-text) !important;
    border-color: var(--main-text) !important;
}

.container,
.container-fluid,
.container-lg,
.container-md,
.container-sm,
.container-xl,
.container-xxl {
    padding-right: 15px;
    padding-left: 15px;
}

.row {
    margin-right: -15px;
    margin-left: -15px;
}

.row > * {
    padding-right: 15px;
    padding-left: 15px;
}

.row.g-0 {
    margin-right: 0;
    margin-left: 0;
}

.row.g-0 > * {
    padding-right: 0;
    padding-left: 0;
}

header [class^="container-"] [class^="col-"],
header [class^="container-"] [class*=" col-"] {
    position: relative;
    padding-left: 15px;
    padding-right: 15px;
}

.swiper-container {
    z-index: 1;
}

@media (prefers-reduced-motion: no-preference) {
    :root {
        scroll-behavior: smooth;
    }
}

/* base color variable*/

[data-theme="dark"] {
    --main-text: #fff;
    --bg-color: #000119;
    --bg-transparent: rgb(0, 1, 25, 50%);
    --red: #df0035;
    --blue: #54c3d6;
    --blue-text: #42cbf8;
    --blue-card: rgb(31, 187, 238, 20%);
    --secondary-text: #797a7b;
    --paragraph-text: #ffffff;
    --color-icon: #535c68;
    --social-icon1: #e4405f;
    --social-icon2: #3b5999;
    --social-icon3: #e4405f;
    --social-icon4: #cd201f;
    --social-icon5: #0077b5;
    --main-gradient: linear-gradient(90deg, #6f003b 0%, #df0035 100%);
    --main-gradient-bg: linear-gradient(-90deg, #6f003b 0%, #df003400 100%);
}

/* [data-theme="light"]{

} */

body {
    background-color: var(--bg-color) !important;
    color: var(--main-text) !important;
    /* animetion verabil */
    --animet-05s: 0.5s;
    --animet-1s: 1s;
    --animet-2s: 2s;
    --animet-3s: 3s;
}

ul {
    list-style: none;
    padding-left: 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Tajawal", sans-serif !important;
}

h1 {
    font-size: 60px;
}

span,
p {
    font-family: "Cairo", sans-serif !important;
}

/* .navbar-nav a,li{color: var( --main-text) !important;} */

span.secondary-span {
    color: var(--secondary-text);
}

p {
    color: var(--paragraph-text);
}

a {
    color: var(--red-text) !important;
}

a:hover {
    opacity: 80%;
}

/* loading */

.hide-temp {
    display: none !important;
}

.is-hidden {
    display: none;
}

ol {
    list-style-type: none;
    padding-left: 0;
    margin-top: 0;
    margin-bottom: 0;
}

/* ===================================
    02. Navigation
====================================== */

/* navbar button */

.hamburger {
    cursor: pointer;
}

.hamburger input {
    display: none;
}

.hamburger svg {
    height: 3em;
    transition: transform 600ms cubic-bezier(0.4, 0, 0.2, 1);
}

.line {
    fill: none;
    stroke: var(--main-text);
    stroke-linecap: round;
    stroke-linejoin: round;
    stroke-width: 2;
    transition: stroke-dasharray 600ms cubic-bezier(0.4, 0, 0.2, 1),
        stroke-dashoffset 600ms cubic-bezier(0.4, 0, 0.2, 1);
}

.line-top-bottom {
    stroke-dasharray: 12 63;
}

.hamburger input:checked + svg {
    transform: rotate(-45deg);
}

.hamburger input:checked + svg .line-top-bottom {
    stroke-dasharray: 20 300;
    stroke-dashoffset: -32.42;
}

.nav-btn-custom:focus {
    box-shadow: none !important;
}

/* list and links style */

.navbar-collapse {
    /* padding: 62px 20%; */
}

.navbar-collapse li {
    margin: 30px 0;
    font-size: 38px;
}

.a-l-05 {
    animation: load var(--animet-05s);
}

.a-l-1 {
    animation: load var(--animet-1s);
}

.a-l-2 {
    animation: load var(--animet-2s);
}

.a-l-3 {
    animation: load var(--animet-500);
}

@keyframes load {
    0% {
        transform: translateY(-100px);
        opacity: 0;
    }
    100% {
        transform: translateY(0);
        opacity: 100%;
    }
}

.navbar-collapse {
    background: var(--bg-color) !important;
}

.navbar-collapse:before {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    background: var(--bg-color) !important;
    z-index: -1;
    top: 0;
    left: 0;
}

.navbar.fixed-top {
    background-color: var(--bg-transparent) !important;
}

.navbar-nav a,
li {
    color: var(--main-text) !important;
    margin: auto 20px;
}

.navbar a.nav-link {
    transition: all 0.5s ease;
    font-family: "Cairo";
}

.navbar a.nav-link:hover {
    /* transform: translatex(30px); */
    transition: all 0.5s ease;
}

/* ===================================
   02. Typography
====================================== */

/* font family */

.alt-font {
    font-family: "Tajawal", sans-serif;
    font-weight: 500;
}

.main-font {
    font-family: "Tajawal", sans-serif;
}

/* color */

.text-main-color {
    color: var(--main-text) !important;
}

.text-red {
    color: var(--red) !important;
}

.text-blue {
    color: var(--blue) !important;
}

/* heading */

h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0 0 25px;
    padding: 0;
    letter-spacing: 0;
    font-weight: 400;
}

h1 {
    font-size: 70px;
    line-height: 70px;
}

h2 {
    font-size: 55px;
    line-height: 60px;
}

h3 {
    font-size: 48px;
    line-height: 54px;
}

h4 {
    font-size: 40px;
    line-height: 46px;
}

h5 {
    font-size: 32px;
    line-height: 40px;
}

h6 {
    font-size: 25px;
    line-height: 30px;
}

/* text size */

.text-extra-small {
    font-size: 11px;
    line-height: 14px;
}

.text-small {
    font-size: 12px;
    line-height: 20px;
}

.text-medium {
    font-size: 18px;
    line-height: 23px;
}

.text-large {
    font-size: 20px;
    line-height: 26px;
}

.text-extra-large {
    font-size: 25px;
    line-height: 26px;
}

.title-large {
    font-size: 100px;
    line-height: 95px;
}

.title-extra-large {
    font-size: 130px;
    line-height: 120px;
}

/* font weight */

.font-weight-100 {
    font-weight: 100;
}

.font-weight-200 {
    font-weight: 200;
}

.font-weight-300 {
    font-weight: 300;
}

.font-weight-400 {
    font-weight: 400;
}

.font-weight-500 {
    font-weight: 500;
}

.font-weight-600 {
    font-weight: 600;
}

.font-weight-700 {
    font-weight: 700;
}

.font-weight-800 {
    font-weight: 800;
}

.font-weight-900 {
    font-weight: 900;
}

/* line height */

.line-height-10 {
    line-height: 10px;
}

.line-height-13 {
    line-height: 13px;
}

.line-height-18 {
    line-height: 18px;
}

.line-height-20 {
    line-height: 20px;
}

.line-height-24 {
    line-height: 24px;
}

.line-height-22 {
    line-height: 22px;
}

.line-height-25 {
    line-height: 25px;
}

.line-height-26 {
    line-height: 26px;
}

.line-height-28 {
    line-height: 28px;
}

.line-height-30 {
    line-height: 30px;
}

.line-height-35 {
    line-height: 35px;
}

.line-height-40 {
    line-height: 40px;
}

.line-height-45 {
    line-height: 45px;
}

.line-height-50 {
    line-height: 50px;
}

.line-height-55 {
    line-height: 55px;
}

.line-height-60 {
    line-height: 60px;
}

.line-height-65 {
    line-height: 65px;
}

.line-height-70 {
    line-height: 70px;
}

.line-height-75 {
    line-height: 75px;
}

.line-height-80 {
    line-height: 80px;
}

.line-height-85 {
    line-height: 85px;
}

.line-height-90 {
    line-height: 90px;
}

.line-height-95 {
    line-height: 95px;
}

.line-height-100 {
    line-height: 100px;
}

.line-height-110 {
    line-height: 110px;
}

.line-height-120 {
    line-height: 120px;
}

.text-gradient {
    background: var(--main-gradient);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

/* clipped text  */

.clipped-lines-3 {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.clipped-lines-4 {
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.text-shadow {
    text-shadow: 1px 1px 2px #03120e21;
}

.text-justified {
    text-align: justify;
}

/* ===================================
   03. loading
====================================== */

.loading {
    position: relative;
    top: 50%;
    transform: translate(0, -50%);
    color: #ffffff;
    width: 100%;
    height: 100%;
    margin: auto;
    z-index: 9999;
}

.loading {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--bg-color);
}

/* ===================================
   03. buttons
====================================== */

.btn-default {
    color: #fff !important;
    font-family: "Cairo", sans-serif !important;
    border-radius: 7px !important;
    padding: 10px 40px !important;
    background: linear-gradient(90deg, #6f003b 0%, #a8003a 100%);
}

.btn-default:hover {
    color: #fff !important;
    background: linear-gradient(90deg, #5e0032 0%, #8a0030 100%) !important;
}

.btn-check:focus + .btn-default,
.btn-default:focus,
.btn-default.focus {
    color: #fff;
    background: linear-gradient(90deg, #5e0032 0%, #8a0030 100%) !important;
}

.btn-check:checked + .btn-default,
.btn-check:active + .btn-default,
.btn-default:active,
.btn-default.active,
.btn-default.show.dropdown-toggle,
.show > .btn-default.dropdown-toggle {
    color: #fff !important;
    background: linear-gradient(90deg, #5e0032 0%, #8a0030 100%) !important;
}

.btn-default.disabled,
.btn-default:disabled {
    color: #fff !important;
    background-color: #990052 !important;
    box-shadow: none !important;
}

.btn-success {
    color: #fff !important;
    font-family: "Cairo", sans-serif !important;
    border-radius: 7px !important;
    padding: 10px 40px !important;
    background: linear-gradient(90deg, #006f3b 0%, #00a83a 100%);
}

.btn-success:hover {
    color: #fff !important;
    background: linear-gradient(90deg, #005e32 0%, #008a30 100%) !important;
}

.btn-check:focus + .btn-success,
.btn-success:focus,
.btn-success.focus {
    color: #fff;
    background: linear-gradient(90deg, #005e32 0%, #008a30 100%) !important;
}

.btn-check:checked + .btn-success,
.btn-check:active + .btn-success,
.btn-success:active,
.btn-success.active,
.btn-success.show.dropdown-toggle,
.show > .btn-success.dropdown-toggle {
    color: #fff !important;
    background: linear-gradient(90deg, #005e32 0%, #008a30 100%) !important;
}

.btn-success.disabled,
.btn-success:disabled {
    color: #fff !important;
    background-color: #00a852 !important;
    box-shadow: none !important;
}
/* ===================================
    04. Custom
====================================== */

section {
    padding: 80px 0;
    overflow: hidden;
}

section.big-section {
    padding: 160px 0;
}

section.extra-big-section {
    padding: 200px 0;
}

section.half-section {
    padding: 80px 0;
}

.circle {
    position: absolute;
    width: 500px;
    height: 500px;
    border-radius: 50%;
    filter: blur(450px);
    pointer-events: none;
    /* This ensures clicks go through the circle, not get blocked by it */
    opacity: 0.5;
    /* Decrease opacity by 50% */
    transition: transform 5s ease;
    /* Use 'ease' for smoother transition */
    z-index: 0;
}

#circle1 {
    background-color: #000459;
}

#circle2 {
    background-color: #a8003a;
}

#circle3 {
    background-color: #000459;
}

#circle4 {
    background-color: #a8003a;
}

.words-wrapper {
    display: inline-block;
    position: relative;
    text-align: center;
}

.words-wrapper b {
    opacity: 0;
    display: inline-block;
    position: absolute;
    white-space: nowrap;
    left: 0;
    top: 0;
    font-weight: 200;
}

.words-wrapper .is-visible {
    position: relative;
    opacity: 1;
    -webkit-animation: push-in 0.5s;
    -moz-animation: push-in 0.5s;
    animation: push-in 0.5s;
}

.words-wrapper .is-hidden {
    -webkit-animation: push-out 0.5s;
    -moz-animation: push-out 0.5s;
    animation: push-out 0.5s;
}

@-webkit-keyframes push-in {
    0% {
        opacity: 0;
        -webkit-transform: translateY(-100%);
    }
    70% {
        opacity: 1;
        -webkit-transform: translateY(10%);
    }
    100% {
        opacity: 1;
        -webkit-transform: translateY(0);
    }
}

@-moz-keyframes push-in {
    0% {
        opacity: 0;
        -moz-transform: translateY(-100%);
    }
    60% {
        opacity: 1;
        -moz-transform: translateY(10%);
    }
    100% {
        opacity: 1;
        -moz-transform: translateY(0);
    }
}

@keyframes push-in {
    0% {
        opacity: 0;
        -webkit-transform: translateY(-100%);
        -moz-transform: translateXY(-100%);
        -ms-transform: translateY(-100%);
        -o-transform: translateY(-100%);
        transform: translateY(-100%);
    }
    60% {
        opacity: 1;
        -webkit-transform: translateY(10%);
        -moz-transform: translateY(10%);
        -ms-transform: translateY(10%);
        -o-transform: translateY(10%);
        transform: translateY(10%);
    }
    100% {
        opacity: 1;
        -webkit-transform: translateY(0);
        -moz-transform: translateY(0);
        -ms-transform: translateY(0);
        -o-transform: translateY(0);
        transform: translateY(0);
    }
}

@-webkit-keyframes push-out {
    0% {
        opacity: 1;
        -webkit-transform: translateY(0);
    }
    60% {
        opacity: 0;
        -webkit-transform: translateY(110%);
    }
    100% {
        opacity: 0;
        -webkit-transform: translateY(100%);
    }
}

@-moz-keyframes push-out {
    0% {
        opacity: 1;
        -moz-transform: translateY(0);
    }
    60% {
        opacity: 0;
        -moz-transform: translateY(110%);
    }
    100% {
        opacity: 0;
        -moz-transform: translateY(100%);
    }
}

@keyframes push-out {
    0% {
        opacity: 1;
        -webkit-transform: translateY(0);
        -moz-transform: translateY(0);
        -ms-transform: translateY(0);
        -o-transform: translateY(0);
        transform: translateY(0);
    }
    60% {
        opacity: 0;
        -webkit-transform: translateX(110%);
        -moz-transform: translateY(110%);
        -ms-transform: translateY(110%);
        -o-transform: translateY(110%);
        transform: translateY(110%);
    }
    100% {
        opacity: 0;
        -webkit-transform: translateY(100%);
        -moz-transform: translateY(100%);
        -ms-transform: translateY(100%);
        -o-transform: translateY(100%);
        transform: translateY(100%);
    }
}

/*remove p*/

.cnnContents {
    position: relative;
    width: 100%;
    height: 700px;
    padding-top: 20px;
    margin: 0 auto;
    white-space: nowrap;
    font-weight: bold;
}

.marqueeStyle {
    display: inline-block;
    /* Apply animation to this element */
    -webkit-animation: scrolling-left1 20s linear infinite;
    animation: scrolling-left1 20s linear infinite;
    font-size: 80px !important;
}

.marqueeStyle2 {
    display: inline-block;
    /* Apply animation to this element */
    -webkit-animation: scrolling-left2 20s linear infinite;
    animation: scrolling-left2 20s linear infinite;
    animation-delay: 10s;
}

.marqueeStyle3 {
    display: inline-block;
    /* Apply animation to this element */
    -webkit-animation: scrolling-left2 30s linear infinite;
    animation: scrolling-left2 30s linear infinite;
    animation-delay: 20s;
}

/* scrolling-left is continuous/repeatly text */

@keyframes scrolling-left1 {
    0% {
        transform: translateX(100%);
        -webkit-transform: translateX(100%);
    }
    100% {
        transform: translateX(-100%);
        -webkit-transform: translateX(-100%);
    }
}

@keyframes scrolling-left2 {
    0% {
        transform: translateX(0%);
        -webkit-transform: translateX(0%);
    }
    100% {
        transform: translateX(-200%);
        -webkit-transform: translateX(-200%);
    }
}

@-webkit-keyframes scrolling-left1 {
    0% {
        -webkit-transform: translateX(100%);
    }
    100% {
        -webkit-transform: translateX(-100%);
    }
}

@-webkit-keyframes scrolling-left2 {
    0% {
        -webkit-transform: translateX(0%);
    }
    100% {
        -webkit-transform: translateX(-200%);
    }
}

a.text-animate:hover {
    text-decoration: underline !important;
}

@media screen and (max-width: 780px) {
    .cnnContents {
        height: 400px;
    }
}

@media (min-width: 780px) and (max-width: 1080px) {
    .cnnContents {
        height: 500px;
    }
}

.text-animate {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}

.bar {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 100%;
    padding: 25px 0;
    font-size: 65px;
    display: flex;
}

.bar_content {
    width: 100%;
}

.bar_content {
    display: block;
    /* Important to give the content a width */
    width: 100%;
    transform: translateX(-100%);
    /* Animation start out of the screen */
    /* Add the animation */
    animation: move 30s linear infinite
        /* infinite make reapeat the animation indefinitely */;
    margin-inline: 150px;
    font-family: "Tajawal";
    font-size: 85px;
}

/* Create the animation */

@keyframes move {
    to {
        transform: translateX(-100%);
    }
}

img.project-one {
    position: absolute;
    max-width: 20%;
    bottom: 0;
    right: 10%;
}

img.project-two {
    position: absolute;
    max-width: 20%;
    top: 5%;
    left: 10%;
}

img.project-three {
    position: absolute;
    max-width: 25%;
    top: -5%;
    left: 50%;
    transform: translate(-20%, 0%);
    z-index: 1;
}

img.project-foure {
    position: absolute;
    max-width: 15%;
    top: 0;
    right: 0%;
}

img.project-five {
    position: absolute;
    max-width: 20%;
    bottom: 0;
    left: 10%;
}

.our-number-bg {
    position: absolute;
    bottom: 0;
    width: 40% !important;
    z-index: -1;
    left: 50%;
    transform: translate(-50%);
}

@media screen and (max-width: 991px) {
    .our-number-bg {
        bottom: -100px;
        width: 60% !important;
    }
}

/*  */

/* .animated-progress {
      width: 300px;
      height: 30px;
      border-radius: 5px;
      margin: 20px 10px;
      border: 1px solid rgb(189, 113, 113);
      overflow: hidden;
      position: relative;
    }

    .animated-progress span {
      height: 100%;
      display: block;
      width: 0;
      color: rgb(255, 251, 251);
      line-height: 30px;
      position: absolute;
      text-align: end;
      padding-right: 5px;
    }

    .progress-blue span {
      background-color: blue;
    }
    .progress-green span {
      background-color: green;
    }
    .progress-purple span {
      background-color: indigo;
    }
    .progress-red span {
      background-color: red;
    }

    .loader-tester {
      position: absolute;
      left: 0;
      top: 0;
      width: 100%;
      height: 100%;
      z-index: 9999;
      background-color: #000;
  } */

#wrapper img {
    width: 30%;
    max-width: 300px;
}

#wrapper {
    width: 100%;
    max-width: 900px;
    margin: 0 auto;
}

#wrapper > * {
    opacity: 1;
    transition: opacity 0.25s ease-in-out;
    -moz-transition: opacity 0.25s ease-in-out;
    -webkit-transition: opacity 0.25s ease-in-out;
}

#wrapper:hover > * {
    overflow: hidden;
    opacity: 0.5;
}

#wrapper :hover {
    opacity: 1;
}

.us-are:before {
    content: "";
    position: absolute;
    z-index: -1;
    top: 70%;
    left: 50%;
    transform: translate(-50%, -70%);
    background: var(--main-gradient);
    filter: opacity(0.4);
    width: 5000px;
    height: 5000px;
    border-radius: 50%;
    transition: width 0.5s ease-in-out, height 0.5s ease-in-out;
}

.btn.btn-why-us {
    position: absolute;
    top: 70%;
    left: 50%;
    transform: translate(-50%, -70%);
    width: 200px;
    height: 200px;
    border: 1px solid #fff;
    border-radius: 50% !important;
    color: #fff;
    z-index: 2;
}

.btn-why-us:hover + .container-fluid.us-are:before {
    width: 200px !important;
    height: 200px !important;
}

/* ===================================
    05. botton
====================================== */

/*  */

.fateel-btn {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 150px;
    height: 150px;
    border-radius: 50%;
    border: #ffffff34 1px solid;
    color: #fff;
    background: transparent;
}

.fateel-btn:hover {
    -webkit-animation: burn 1000ms ease-out forwards;
    animation: burn 1000ms ease-out forwards;
}

@-webkit-keyframes burn {
    0% {
        color: #ff826e;
        background: #ffe66e;
        box-shadow: 0 0 5px 0 #c8000a, 0 0 5px 0 rgba(230, 30, 10, 0.8),
            0 0 5px 0 rgba(230, 230, 10, 0.6);
    }
    100% {
        color: #ffffff;
        background: transparent;
        box-shadow: 0 -35px 40px 30px rgba(255, 130, 10, 0),
            0 -30px 30px 10px rgba(230, 30, 10, 0),
            0 -20px 10px 0 rgba(255, 255, 10, 0);
    }
}

@keyframes burn {
    0% {
        color: #ff826e;
        background: #ffe66e;
        box-shadow: 0 0 5px 0 #c8000a, 0 0 5px 0 rgba(230, 30, 10, 0.8),
            0 0 5px 0 rgba(230, 230, 10, 0.6);
    }
    100% {
        color: #ffffff;
        background: transparent;
        box-shadow: 0 -35px 40px 30px rgba(255, 130, 10, 0),
            0 -30px 30px 10px rgba(230, 30, 10, 0),
            0 -20px 10px 0 rgba(255, 255, 10, 0);
    }
}

.cta {
    position: relative;
    padding: 12px 18px;
    transition: all 0.2s ease;
    border: none;
    background: none;
}

.cta:before {
    content: "";
    position: absolute;
    top: 50%;
    right: 0;
    transform: translate(0, -50%);
    display: block;
    border-radius: 50px;
    background: #a8003ab0;
    width: 45px;
    height: 45px;
    transition: all 0.3s ease;
}

.cta span {
    position: relative;
    font-size: 18px;
    letter-spacing: 0.05em;
    color: #fff;
}

.cta svg {
    position: relative;
    top: 0;
    margin-left: 10px;
    fill: none;
    stroke-linecap: round;
    stroke-linejoin: round;
    stroke: #234567;
    stroke-width: 2;
    transform: translateX(-5px);
    transition: all 0.3s ease;
}

.cta:hover:before {
    width: 100%;
    background: #a8003ab0;
}

.cta:hover svg {
    transform: translateX(0);
}

.cta:active {
    transform: scale(0.95);
}

.social-media-links {
    position: absolute;
    left: 0;
    bottom: 0;
}

@media screen and (max-width: 600px) {
    .social-media-links {
        position: absolute;
        left: 0;
        bottom: 30px;
    }
}

.icon-item {
    list-style: none;
}

.icon-link {
    display: inline-flex;
    font-size: 20px;
    text-decoration: none;
    color: var(--color-icon);
    width: 50px;
    height: 50px;
    transition: 0.5s linear;
    position: relative;
    z-index: 1;
    margin: auto;
}

.icon-link:hover {
    color: #fff;
}

.icon-link i {
    margin: auto;
}

.icon-link::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background: #000;
    border-radius: 50%;
    z-index: -1;
    transform: scale(0);
    transition: 0.3s cubic-bezier(0.95, 0.32, 0.37, 1.21);
}

.icon-link:hover::before {
    transform: scale(1);
}

.icon-item:nth-child(1) a:hover:before {
    background: var(--social-icon1);
}

.icon-item:nth-child(2) a:hover:before {
    background: var(--social-icon2);
}

.icon-item:nth-child(3) a:hover:before {
    background: var(--social-icon3);
}

.icon-item:nth-child(4) a:hover:before {
    background: var(--social-icon4);
}

.icon-item:nth-child(5) a:hover:before {
    background: var(--social-icon5);
}

/* list */

/* * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  } */

.featured-projects {
    display: grid;
    place-items: center;
    /* min-height: 100vh; */
    font-family: "Libre Baskerville", serif;
    position: relative;
}

.featured-projects .cursor {
    position: absolute;
    top: 0;
    top: 0;
    left: 0;
    width: 30%;
    height: 30%;
    pointer-events: none;
    /* opacity: 1 !important; */
    /* background: red; */
}

.featured-projects .cursor__media {
    position: fixed;
    /* inset: -300px; */
    top: -910%;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0;
    transition: opacity 0.5s;
    z-index: 1;
}

.featured-projects .cursor__media.active {
    opacity: 1;
    z-index: 9999;
}

.featured-projects .nav {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2.6rem;
    width: 100%;
}

.featured-projects .nav__link {
    position: relative;
    color: #1e293b;
    font-size: 2.6rem;
    font-weight: 700;
    text-decoration: none;
    width: 100%;
}

.featured-projects .nav__link:hover {
    font-size: 3.6rem;
    transition: 1 esae;
    transform: translateX(30px);
    transition: all 0.5s ease;
}

.featured-projects .nav__link:not(:last-child)::before {
    content: "";
    position: absolute;
    bottom: -1.3rem;
    left: 0;
    right: 0;
    width: 100%;
    height: 2px;
    margin-inline: auto;
    background-color: #94a3b824;
}

/* ===================================
    09. input
====================================== */

/* input */

.form-control {
    background: transparent !important;
    border-left: none !important;
    border-right: none !important;
    border-top: none !important;
    border-radius: 0 !important;
    border-bottom: 2px solid #ffffff73 !important;
    color: var(--main-text) !important;
    height: 80px;
}

.form-control:focus {
    color: var(--main-text) !important;
    border: solid 1px var(--red) !important;
    border-top: none !important;
    border-left: none !important;
    border-right: none !important;
    border-radius: 0;
}

[dir="rtl"] .form-control {
    text-align: right;
}

.form-control {
    font-family: "Cairo";
}

.form-floating > label {
    font-family: "Cairo";
    font-size: 18px;
}

.form-label {
    font-family: "Cairo";
    font-size: 16px;
}

/* .input {
    max-width: 190px;
    height: 30px;
    border: 2px solid transparent;
    outline: none;
    border-bottom: 2px solid #3f3f3f;
    caret-color: #3f3f3f;
    background-color: #212121;
    padding: 5px;
    transition: .5s linear;
    letter-spacing: 1px;
  }

  .input:focus {
    border: 2px solid #fa4753;
    caret-color: #fa4753;
    color: #fa4753;
    box-shadow: 4px 4px 10px #070707;
  }

  .input:focus::placeholder {
    color: #fa4753;
  } */

/* CARDS */

/* .container {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 30px;
  } */

/* .card {
    margin: 2%;
    background: #DBBDBD;
    width: 100%;
    height: 100px;
    box-shadow: 0 2px 3px 0px rgba(0, 0, 0, 0.25);
    border-radius: 3px;
    transition: .2s all;
    cursor: pointer;
    align-items: center;
    text-align: center;
    font-size: 13px;
    padding-top: 30px;
  }

  .card > span {
    display: block;
    margin: auto;
    max-width: 40px;
  }

  .container:hover .card {
    filter: blur(3px);
    opacity: .5;
    transform: scale(.98);
    box-shadow: none;
  }

  .container:hover .card:hover {
    transform: scale(1);
    filter: blur(0px);
    opacity: 1;
    box-shadow: 0 8px 20px 0px rgba(0, 0, 0, 0.125);
    background: #A82C2C;
    color: white;
  } */

.project-card {
    backdrop-filter: opacity(0.5);
    transition: opactiy;
    transition: all 0.5s ease;
}

.project-card img.project-bg {
    opacity: 0;
}

.project-card:hover img.project-bg {
    opacity: 80%;
}

.project-card {
    position: relative;
}

img.project-logo {
    position: absolute;
    width: 50%;
    height: auto;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    filter: grayscale(1);
}

.project-card:hover img.project-logo {
    opacity: 80%;
}

/* test footer */

.footer {
    display: flex;
    flex-flow: row wrap;
    padding: 30px 100px 20px 100px;
}

.footer > * {
    flex: 1 100%;
}

.footer__addr {
    margin-right: 1.25em;
    margin-bottom: 2em;
}

.footer__logo {
    display: flex;
    align-items: center;
}

.footer__addr h2 {
    margin-top: 1.3em;
    font-size: 15px;
    font-weight: 400;
}

.nav__title {
    font-weight: 400;
    font-size: 15px;
}

.footer address {
    font-style: normal;
    color: #999;
}

.footer__btn {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 36px;
    max-width: max-content;
    background-color: rgb(33, 33, 33, 0.07);
    border-radius: 100px;
    color: #3d3d3d;
    line-height: 0;
    margin: 0.6em 0;
    font-size: 50px;
    padding: 40px;
}

.footer ul {
    list-style: none;
    padding-left: 0;
}

.footer li {
    line-height: 2em;
}

.footer a {
    text-decoration: none;
}

.footer__nav {
    display: flex;
    flex-flow: row wrap;
}

.footer__nav > * {
    flex: 1 50%;
    margin-right: 1.25em;
}

.nav__ul a {
    color: #999;
}

.nav__ul--extra {
    column-count: 2;
    column-gap: 1.25em;
}

.legal {
    display: flex;
    flex-wrap: wrap;
    color: #999;
    text-align: center;
    justify-content: center;
}

.legal__links {
    display: flex;
    align-items: center;
}

@media screen and (min-width: 24.375em) {
    .legal .legal__links {
        margin-right: auto;
    }
}
@media screen and (max-width: 600px) {
    .legal__links {
        margin-right: 0 !important;
    }
}

@media screen and (min-width: 40.375em) {
    .footer__nav > * {
        flex: 1;
    }
    .nav__item--extra {
        flex-grow: 2;
    }
    .footer__addr {
        flex: 1 0px;
    }
    .footer__nav {
        flex: 2 0px;
    }
}

/* ===================================
    06. sizes
====================================== */

.w-10 {
    width: 10% !important;
}

.w-15 {
    width: 15% !important;
}

.ar-16-9 {
    aspect-ratio: 16 / 9;
}

/* ===================================
    06. position
====================================== */

.min-vh-70 {
    min-height: 70vh !important;
}

.min-vh-80 {
    min-height: 80vh !important;
}

.min-vh-90 {
    min-height: 90vh !important;
}

/* ===================================
    07. cards
====================================== */

#our-number .card {
    width: 300px;
    height: 300px;
    text-align: center;
    background: var(--blue-card);
    backdrop-filter: opacity(0.5);
    margin: 0 auto;
    justify-content: center;
}

#our-number .card .number {
    color: var(--blue-text);
    font-size: 30px;
    font-weight: bold;
}

.side-info .card {
    width: 150px;
    height: 150px;
    text-align: center;
    background: var(--blue-card);
    backdrop-filter: opacity(0.5);
    margin: 0 0 20px auto;
    justify-content: center;
}

#our-work .card {
    position: relative;
    background: none;
}

#our-work .card img {
    border-radius: 10px;
}

#our-work .card {
    max-height: 350px;
    min-height: 300px;
    justify-content: center;
}

#our-work .card:before {
    content: "";
    height: 100%;
    width: 100%;
    position: absolute;
    background: linear-gradient(
        0deg,
        rgba(0, 1, 14, 1) 0%,
        rgba(0, 1, 14, 0) 100%
    );
    z-index: 0;
    opacity: 0;
}

#our-work .card .card-body-custom {
    display: flex;
    position: absolute;
    width: 100%;
    bottom: 0;
    padding: 20px 10px;
    flex-basis: auto;
    justify-content: space-between;
    opacity: 0;
    transform: translateY(5px);
}

#our-work .card:hover:before {
    opacity: 1;
}

#our-work .card:hover .card-body-custom {
    opacity: 1;
    transform: translateX(0px);
    transition-duration: 0.2s;
    transition-delay: 0.1s;
}

/* ===================================
    07. swiper
====================================== */

#swiper-card .swiper-slide .card {
    width: 100%;
    height: 300px;
    text-align: center;
    background: var(--blue-card);
    backdrop-filter: opacity(0.5);
    margin: 0 auto;
    justify-content: center;
}

#swiper-card .swiper-slide .card img {
    aspect-ratio: 16/9;
    max-width: 50%;
    margin: 0 auto;
}

.swiper {
    width: 100%;
    height: 100%;
}

.swiper-slide {
    text-align: center;
    font-size: 18px;
    /* background: #fff000; */
    display: flex;
    justify-content: center;
    align-items: center;
}

div#swiper-card:before {
    content: " ";
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    width: 10%;
    background: linear-gradient(
        90deg,
        rgba(0, 1, 25, 1) 0%,
        rgba(0, 1, 25, 0) 100%
    );
    z-index: 9999;
}

div#swiper-card:after {
    content: " ";
    height: 100%;
    position: absolute;
    top: 0;
    right: 0;
    width: 10%;
    background: linear-gradient(
        269deg,
        rgba(0, 1, 25, 1) 0%,
        rgba(0, 1, 25, 0) 100%
    );
    z-index: 9999;
}

.our-friends#swiper-card .swiper-slide .card img {
    filter: brightness(0) invert(1) opacity(0.9);
}

.our-friends#swiper-card .swiper-slide .card:hover img {
    filter: none;
}

/* .swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
} */

/* ===================================
    08. backgrounds
====================================== */

.bg-main-gradient,
.background-main-gradient {
    background: var(--main-gradient-bg);
}

/* ===================================
    09. breadcrumbs
====================================== */

.breadcrumbs ol li::after {
    content: "\f053";
    font-family: "Font Awesome 6 Free";
    margin-inline: 10px;
}

#our-number {
    position: relative;
}

.partners-h {
    padding-top: 0;
}

/* gift cards start */
.position-center-checkbox {
    bottom: -3px;
}
.position-center-eye {
    bottom: -1px;
}
.border-lg-left {
    border-inline-end: 2px solid var(--red);
}
.card-gift-item {
    max-width: 200px;
    min-width: 200px;
    border-radius: 30px;
    box-shadow: 0 0 0 4px var(--red);
    cursor: pointer;
    transition: all ease-in-out 0.3s;
    margin-block-end: 30px;
    margin-inline-end: 30px;
}
.card-gift-item.active {
    box-shadow: 0 0 0 4px var(--red);
}
.card-gift-item img {
    border-radius: 30px;
}
.nav-pills .nav-link.btn-tap-modal {
    color: var(--bs-black);
}
.nav-pills .nav-link.btn-tap-modal.active,
.nav-pills .show > .nav-link.btn-tap-modal.active {
    background: var(--primary-color);
    color: var(--bs-white);
    border: 0 !important;
}
.information-form {
    border: solid 1px var(--red) !important;
}
@media screen and (max-width: 768px) {
    .overflowx-md-auto {
        overflow-x: auto !important;
        overflow-y: hidden;
    }
    .cards-content {
        padding: 0 15px;
        flex-wrap: nowrap !important;
    }
    ::-webkit-scrollbar {
        height: 4px;
    }

    .overflowx-md-auto::-webkit-scrollbar-thumb {
        background-color: #df00359c;
        border-radius: 30px;
        transition: 2.5s all ease-in-out;
    }

    .overflowx-md-auto::-webkit-scrollbar-thumb:hover {
        background-color: var(--red);
    }
}
.cards-content {
    flex-wrap: wrap;
}
.bg-defult-prim {
    background-color: #010119 !important;
    border: 1px solid var(--red) !important;
}
.card-gift-show .img-responsive img {
    max-width: 380px !important;
    margin: 0 auto;
}

.card-text-emphasis {
    font-weight: bold;
}

.modal {
    transition: opacity 0.25s ease;
}

.modal.show {
    opacity: 1;
}

.modal.hide {
    opacity: 0;
}

.modal-content {
    transition: transform 0.3s ease-out;
    transform: translateY(-50px);
}

.modal.show .modal-content {
    transform: translateY(0);
}

.modal.fade .modal-dialog {
    transition: transform 0.3s ease-out;
    transform: translate(0, -50px);
}

.modal.show .modal-dialog {
    transform: none;
}
.card-gift-item .learn-more {
    right: 9%;
    display: flex;
    top: 0;
    left: 9%;
    transition: 0.3s all ease-in-out;
}

.bg-default {
    background-color: var(--red);
}

.mw-img-card {
    max-width: 400px;
}
/* gift cards end */
